package beilv.order.mapper;

import beilv.order.domain.StoreRefund;

import java.util.List;

/**
 * 退款Mapper接口
 *
 * @author ruoyi
 * @date 2025-11-13
 */
public interface StoreRefundMapper {
    /**
     * 查询退款
     *
     * @param id 退款主键
     * @return 退款
     */
    public StoreRefund selectStoreRefundById(Long id);

    /**
     * 根据退款单号查询退款
     *
     * @param orderId 退款单号
     * @return 退款
     */
    public StoreRefund selectStoreRefundByOrderId(String orderId);

    /**
     * 查询退款列表
     *
     * @param storeRefund 退款
     * @return 退款集合
     */
    public List<StoreRefund> selectStoreRefundList(StoreRefund storeRefund);

    /**
     * 新增退款
     *
     * @param storeRefund 退款
     * @return 结果
     */
    public int insertStoreRefund(StoreRefund storeRefund);

    /**
     * 修改退款
     *
     * @param storeRefund 退款
     * @return 结果
     */
    public int updateStoreRefund(StoreRefund storeRefund);

    /**
     * 删除退款
     *
     * @param id 退款主键
     * @return 结果
     */
    public int deleteStoreRefundById(Long id);

    /**
     * 批量删除退款
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStoreRefundByIds(String[] ids);
}